From 1488ea989c97d940b9292aa7d295540e44f2e656 Mon Sep 17 00:00:00 2001
From: Alyssa Rosenzweig <alyssa@collabora.com>
Date: Wed, 2 Nov 2022 17:50:45 -0400
Subject: [PATCH] drm-uapi/panfrost: Fix build with C++

We can't have the named struct inside the union with C++ with
-fpermissive. This was correctly removed in:

   https://cgit.freedesktop.org/drm-misc/commit/?h=drm-misc-fixes&id=7228d9d79248bd0c8af56a7667a88a875c674e0c

But then due to an accident (git rebase error?) this was added back in
immediately thereafter:

   https://cgit.freedesktop.org/drm-misc/commit/?h=drm-misc-fixes&id=72655fb942c1e3d9e71e48e87ee439abe52f3a90

Fixes the build with Perfetto, which includes the panfrost UAPI header
as C++.

Signed-off-by: Alyssa Rosenzweig <alyssa@collabora.com>
---
 include/drm-uapi/panfrost_drm.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/include/drm-uapi/panfrost_drm.h b/include/drm-uapi/panfrost_drm.h
index 6f93c915cc8..9f231d40a14 100644
--- a/include/drm-uapi/panfrost_drm.h
+++ b/include/drm-uapi/panfrost_drm.h
@@ -254,7 +254,7 @@ struct panfrost_dump_object_header {
 			__u64 nbos;
 		} reghdr;
 
-		struct pan_bomap_hdr {
+		struct {
 			__u32 valid;
 			__u64 iova;
 			__u32 data[2];
-- 
2.35.1

